curl --request PUT \
--url https://api.circle.com/v1/w3s/contracts/monitors/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isEnabled": false
}
'import requests
url = "https://api.circle.com/v1/w3s/contracts/monitors/{id}"
payload = { "isEnabled": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({isEnabled: false})
};
fetch('https://api.circle.com/v1/w3s/contracts/monitors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"eventMonitor": {
"id": "e3c998a5-bdf1-4f3e-812f-24da238c0fff",
"blockchain": "MATIC-AMOY",
"contractAddress": "0x1e124d7384cd34448ea5907bd0052a79355ab5eb",
"eventSignature": "Transfer(address indexed from, address indexed to, uint256 value)",
"eventSignatureHash": "0xd3d3dd4b1fd3e53f94deb24e763485b4c925345c5abfa9ad529c67aa55a3b784",
"isEnabled": true
}
}
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Update an Event Monitor
Update an existing event monitor given its ID.
Authorizations
Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.
Headers
Developer-provided identifier for this request, used for tracing requests in Wallets API logs and the Developer Console, and when communicating with Circle Support. Must be a UUID to appear in logs. Non-UUID values are accepted by the API but are ignored by logging and tracing systems.
A unique identifier, which can be helpful for identifying a request when communicating with Circle support.
"2adba88e-9d63-44bc-b975-9b6ae3440dde"
Path Parameters
Event Monitor ID.
Body
Update Event Monitor Request
Indicates whether the event monitor should be active (true) or inactive (false).
Response
Event monitor updated successfully.
Show child attributes
Show child attributes
Was this page helpful?